Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Principal Class Reference

A "Principal" identifies an authenticated entity in the network administration framework. Identities are used to control acccess (authorization) as well as in audit trails (accountability). More...

`#include <Principal.h>`

List of all members.

## Public Types
typedef CORBA_Principal_ptr | _ptr_type
typedef CORBA_Principal_var | _var_type
## Public Methods
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
| CORBA_Principal (void)
## Static Public Methods
CORBA_Principal * | _duplicate (CORBA_Principal *)
CORBA_Principal * | _nil (void)
## Public Attributes
CORBA::OctetSeq | id
## Private Methods
| ~CORBA_Principal (void)
CORBA_Principal & | operator= (const CORBA::Principal_ptr &)
| CORBA_Principal (const CORBA::Principal_ptr &)
## Private Attributes
CORBA::ULong | refcount_
| Number of outstanding references to this object. More...
TAO_SYNCH_MUTEX | refcount_mutex_
| Protect the reference count, this is OK because we do no duplicates or releases on the critical path. More...

## Detailed Description

A "Principal" identifies an authenticated entity in the network administration framework. Identities are used to control acccess (authorization) as well as in audit trails (accountability).

## Member Typedef Documentation

typedef CORBA_Principal_ptr CORBA_Principal::_ptr_type

typedef CORBA_Principal_var CORBA_Principal::_var_type

## Constructor & Destructor Documentation

CORBA_Principal::CORBA_Principal | ( | void |  | ) |

CORBA_Principal::~CORBA_Principal | ( | void |  | ) | `[private]`

CORBA_Principal::CORBA_Principal | ( | const CORBA::Principal_ptr & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE CORBA::ULong CORBA_Principal::_decr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA_Principal * CORBA_Principal::_duplicate | ( | CORBA_Principal * | x | ) | `[static]`

ACE_INLINE CORBA::ULong CORBA_Principal::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA_Principal * CORBA_Principal::_nil | ( | void |  | ) | `[static]`

CORBA_Principal& CORBA_Principal::operator= | ( | const CORBA::Principal_ptr & |  | ) | `[private]`

## Member Data Documentation

CORBA::OctetSeq CORBA_Principal::id

CORBA::ULong CORBA_Principal::refcount_`[private]`

| Number of outstanding references to this object.

TAO_SYNCH_MUTEX CORBA_Principal::refcount_mutex_`[private]`

| Protect the reference count, this is OK because we do no duplicates or releases on the critical path.

The documentation for this class was generated from the following files:

- Principal.h
- Principal.cpp
- Principal.i